hide

## scoreboard definitions
scoreboard objectives add database dummy
scoreboard objectives add money dummy
scoreboard objectives add secondMoney dummy
scoreboard objectives add lastCommand dummy
scoreboard objectives add timer dummy
scoreboard objectives add secondTimer dummy
scoreboard objectives add mineResetRandom dummy
scoreboard objectives add rank dummy
scoreboard objectives add lvl dummy
scoreboard objectives add secondLvl dummy
scoreboard objectives add rewards dummy
scoreboard objectives add enchantShop dummy
scoreboard objectives add server dummy

## scoreboard setters to 0
scoreboard players add @a lvl 0
scoreboard players add @a money 0
scoreboard players add @a rank 0

## scoreboard display
function packages/scoreboard

## gamerules setters
gamerule spawnradius 0

## dcrts == Don't Change Random Tick Speed && It's meaning runtime don't set random tick speed to 0 if database has this tag #
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/settings

## commands
# set world spawn
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/set_world_spawn

# gamerules config
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/gamerules_config

# devMode
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/devMode

# host player
function packages/host_player

# adventure mode
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/players_gm

# new players kit
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/new_players

# protections
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/protection_lobby
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/protection_mine

# ranking mine
function packages/ranking_mine

# timer
function packages/timer
function packages/fix_db_timer

# rewards
execute @e[type=db:spawn,name=database,scores={timer=11980..12010}] ~~~ function packages/game_reward

# before reset mine message
execute @e[type=db:spawn,name=database,scores={timer=22970}] ~~~ execute @a ~~~ tellraw @s {"\u0072\u0061\u0077\u0074\u0065\u0078\u0074":[{"\u0074\u0072\u0061\u006e\u0073\u006c\u0061\u0074\u0065":"\u0072\u0075\u006e\u0074\u0069\u006d\u0065\u002e\u0062\u0065\u0066\u006f\u0072\u0065\u005f\u0072\u0065\u0073\u0065\u0074\u005f\u006d\u0069\u006e\u0065\u002e\u006d\u0073\u0067"}]}

# set air for ladders
execute @e[type=db:spawn,name=database,scores={timer=!22980..24000}] ~~~ function packages/ladders_air

# tp everyone from mine
execute @e[type=db:spawn,name=database,scores={timer=22980..24000}] ~~~ function packages/tp_to_lines

# set red platform that show players can't enter mine
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/set_red_platform
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/set_deny_platform

# start restart mine
execute @e[type=db:spawn,name=database,scores={timer=23000..24000}] ~~~ function mineReset_allSections.runtime

# section A
execute @e[type=db:spawn,name=database,scores={timer=23000..23260}] ~~~ function packages/randomizing_sectionA

# section B
execute @e[type=db:spawn,name=database,scores={timer=23240..23510}] ~~~ function packages/randomizing_sectionB

# section C
execute @e[type=db:spawn,name=database,scores={timer=23490..23760}] ~~~ function packages/randomizing_sectionC

# section D
execute @e[type=db:spawn,name=database,scores={timer=23740..24000}] ~~~ function packages/randomizing_sectionD

# enchant shop
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/enchants/enchantRuntimeBroker

# after reset mine message
execute @e[type=db:spawn,name=database,scores={timer=24000}] ~~~ execute @a ~~~ tellraw @s {"\u0072\u0061\u0077\u0074\u0065\u0078\u0074":[{"\u0074\u0072\u0061\u006e\u0073\u006c\u0061\u0074\u0065":"\u0072\u0075\u006e\u0074\u0069\u006d\u0065\u002e\u0061\u0066\u0074\u0065\u0072\u005f\u0072\u0065\u0073\u0065\u0074\u005f\u006d\u0069\u006e\u0065\u002e\u006d\u0073\u0067"}]}

# mine is ready to use
execute @e[type=db:spawn,name=database,scores={timer=23998..24000}] ~~~ function packages/set_air_platform
execute @e[type=db:spawn,name=database,scores={timer=23998..24000}] ~~~ function packages/set_allow_platform
execute @e[type=db:spawn,name=database,scores={timer=23998..24000}] ~~~ function packages/set_glowstone_wall

# converting
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/convertings

# working portals
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/portals

# addtional
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/addtionals

# recover ladders after reset mine
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/recovering

# level system
execute @e[type=db:spawn,name=database,scores={timer=!23000..24000}] ~~~ function packages/level_system

### by MOJTABA5858